org.apache.maven.archiver

## Class MavenArchiver

- java.lang.Object
- - org.apache.maven.archiver.MavenArchiver

    public class MavenArchiver
    extends Object

Version:
  $Revision: 1235294 $ $Date: 2012-01-24 16:20:06 +0100 (Tue, 24 Jan 2012) $
Author:
  Emmanuel Venisse

### Field Summary

Fields
`static String` `REPOSITORY_LAYOUT`
`static String` `REPOSITORY_LAYOUT_NONUNIQUE`
`static String` `SIMPLE_LAYOUT`
`static String` `SIMPLE_LAYOUT_NONUNIQUE`

### Constructor Summary

Constructors
Constructor and Description
`MavenArchiver()`

### Method Summary

Methods
`void` `createArchive(org.apache.maven.project.MavenProject project, MavenArchiveConfiguration archiveConfiguration)` Deprecated.
`void` `createArchive(org.apache.maven.execution.MavenSession session, org.apache.maven.project.MavenProject project, MavenArchiveConfiguration archiveConfiguration)`
`org.codehaus.plexus.archiver.jar.JarArchiver` `getArchiver()`
`org.codehaus.plexus.archiver.jar.Manifest` `getManifest(org.apache.maven.project.MavenProject project, ManifestConfiguration config)` Return a pre-configured manifest
`org.codehaus.plexus.archiver.jar.Manifest` `getManifest(org.apache.maven.project.MavenProject project, MavenArchiveConfiguration config)` Deprecated.
`org.codehaus.plexus.archiver.jar.Manifest` `getManifest(org.apache.maven.execution.MavenSession mavenSession, org.apache.maven.project.MavenProject project, ManifestConfiguration config)`
`protected org.codehaus.plexus.archiver.jar.Manifest` `getManifest(org.apache.maven.execution.MavenSession session, org.apache.maven.project.MavenProject project, ManifestConfiguration config, Map<String,String> entries)`
`org.codehaus.plexus.archiver.jar.Manifest` `getManifest(org.apache.maven.execution.MavenSession session, org.apache.maven.project.MavenProject project, MavenArchiveConfiguration config)`
`void` `setArchiver(org.codehaus.plexus.archiver.jar.JarArchiver archiver)`
`void` `setOutputFile(File outputFile)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SIMPLE_LAYOUT

    public static final String SIMPLE_LAYOUT

See Also:
  Constant Field Values

#### REPOSITORY_LAYOUT

    public static final String REPOSITORY_LAYOUT

See Also:
  Constant Field Values

#### SIMPLE_LAYOUT_NONUNIQUE

    public static final String SIMPLE_LAYOUT_NONUNIQUE

See Also:
  Constant Field Values

#### REPOSITORY_LAYOUT_NONUNIQUE

    public static final String REPOSITORY_LAYOUT_NONUNIQUE

See Also:
  Constant Field Values

### Constructor Detail

#### MavenArchiver

    public MavenArchiver()

### Method Detail

#### getManifest

    public org.codehaus.plexus.archiver.jar.Manifest getManifest(org.apache.maven.project.MavenProject project,
                                                        MavenArchiveConfiguration config)
                                                          throws org.codehaus.plexus.archiver.jar.ManifestException,
                                                                 org.apache.maven.artifact.DependencyResolutionRequiredException

Deprecated.
Return a pre-configured manifest

Parameters:
  `project` - the project
  `config` - the configuration to use
Returns:
  a manifest, clients are recommended to use java.util.jar.Manifest datatype.
Throws:
  `org.apache.maven.artifact.DependencyResolutionRequiredException` - .
  `org.codehaus.plexus.archiver.jar.ManifestException` - .

#### getManifest

    public org.codehaus.plexus.archiver.jar.Manifest getManifest(org.apache.maven.execution.MavenSession session,
                                                        org.apache.maven.project.MavenProject project,
                                                        MavenArchiveConfiguration config)
                                                          throws org.codehaus.plexus.archiver.jar.ManifestException,
                                                                 org.apache.maven.artifact.DependencyResolutionRequiredException

Throws:
  `org.codehaus.plexus.archiver.jar.ManifestException`
  `org.apache.maven.artifact.DependencyResolutionRequiredException`

#### getManifest

    public org.codehaus.plexus.archiver.jar.Manifest getManifest(org.apache.maven.project.MavenProject project,
                                                        ManifestConfiguration config)
                                                          throws org.codehaus.plexus.archiver.jar.ManifestException,
                                                                 org.apache.maven.artifact.DependencyResolutionRequiredException

Return a pre-configured manifest

Throws:
  `org.codehaus.plexus.archiver.jar.ManifestException`
  `org.apache.maven.artifact.DependencyResolutionRequiredException`

#### getManifest

    public org.codehaus.plexus.archiver.jar.Manifest getManifest(org.apache.maven.execution.MavenSession mavenSession,
                                                        org.apache.maven.project.MavenProject project,
                                                        ManifestConfiguration config)
                                                          throws org.codehaus.plexus.archiver.jar.ManifestException,
                                                                 org.apache.maven.artifact.DependencyResolutionRequiredException

Throws:
  `org.codehaus.plexus.archiver.jar.ManifestException`
  `org.apache.maven.artifact.DependencyResolutionRequiredException`

#### getManifest

    protected org.codehaus.plexus.archiver.jar.Manifest getManifest(org.apache.maven.execution.MavenSession session,
                                                        org.apache.maven.project.MavenProject project,
                                                        ManifestConfiguration config,
                                                        Map<String,String> entries)
                                                             throws org.codehaus.plexus.archiver.jar.ManifestException,
                                                                    org.apache.maven.artifact.DependencyResolutionRequiredException

Throws:
  `org.codehaus.plexus.archiver.jar.ManifestException`
  `org.apache.maven.artifact.DependencyResolutionRequiredException`

#### getArchiver

    public org.codehaus.plexus.archiver.jar.JarArchiver getArchiver()

#### setArchiver

    public void setArchiver(org.codehaus.plexus.archiver.jar.JarArchiver archiver)

#### setOutputFile

    public void setOutputFile(File outputFile)

#### createArchive

    public void createArchive(org.apache.maven.project.MavenProject project,
                     MavenArchiveConfiguration archiveConfiguration)
                       throws org.codehaus.plexus.archiver.ArchiverException,
                              org.codehaus.plexus.archiver.jar.ManifestException,
                              IOException,
                              org.apache.maven.artifact.DependencyResolutionRequiredException

Deprecated.

Throws:
  `org.codehaus.plexus.archiver.ArchiverException`
  `org.codehaus.plexus.archiver.jar.ManifestException`
  `IOException`
  `org.apache.maven.artifact.DependencyResolutionRequiredException`

#### createArchive

    public void createArchive(org.apache.maven.execution.MavenSession session,
                     org.apache.maven.project.MavenProject project,
                     MavenArchiveConfiguration archiveConfiguration)
                       throws org.codehaus.plexus.archiver.ArchiverException,
                              org.codehaus.plexus.archiver.jar.ManifestException,
                              IOException,
                              org.apache.maven.artifact.DependencyResolutionRequiredException

Throws:
  `org.codehaus.plexus.archiver.ArchiverException`
  `org.codehaus.plexus.archiver.jar.ManifestException`
  `IOException`
  `org.apache.maven.artifact.DependencyResolutionRequiredException`